<?php  
class ControllerExtensionModuleFeedDisplay extends Controller {
	public function index($setting) {
		static $module = 0;

//		$style = 'catalog/view/theme/default/stylesheet/feed_display.css';
//		$this->document->addstyle($style);

		if( !isset($setting['feed_store']) || !in_array($this->config->get('config_store_id'), $setting['feed_store']) ) return ;

		$this->load->language('extension/module/feed_display');

		if (isset($setting['feed'][$this->config->get('config_language_id')])) {
			$data['heading_title'] = html_entity_decode($setting['feed'][$this->config->get('config_language_id')]['title'], ENT_QUOTES, 'UTF-8');
		} else {
			$data['heading_title'] = $this->language->get('heading_title');
		}
	   
		$data['url'] = $setting['feed'][$this->config->get('config_language_id')]['url'];
		$data['items'] 		= $setting['items'];
		$data['module'] 	= $module++;
		
    return $this->load->view('extension/module/feed_display', $data);
	}
	
	public function content( ) {

		$max = $this->request->get['items'];

		$ch = curl_init();
    $defaults = array( 
        CURLOPT_URL => $this->request->get['feed_url'],
        CURLOPT_HEADER => 0, 
        CURLOPT_RETURNTRANSFER => TRUE, 
				CURLOPT_SSL_VERIFYPEER => FALSE,
				CURLOPT_FOLLOWLOCATION => TRUE,
        CURLOPT_TIMEOUT => 30
    ); 		
		curl_setopt_array($ch, $defaults);
		$response = curl_exec($ch);

// *********************************************
		$feed = new DOMDocument();
		$feed->loadXML($response);
		$json = array();
		
		$channel = $feed->getElementsByTagName('channel')->item(0);

		$json['title'] = $channel->getElementsByTagName('title')->item(0)->firstChild->nodeValue;
		$json['description'] = $channel->getElementsByTagName('description')->item(0)->firstChild->nodeValue;
//		$json['link'] = $channel->getElementsByTagName('link')->item(0)->firstChild->nodeValue;

		$articles = $channel->getElementsByTagName('item');
		
		$json['items'] = array();
		$i = 0;

// iterate thru all articles
		foreach($articles as $article) {
      $entry = array();
// create ass array 'node name' => 'node value'
  		foreach($article->childNodes as $node) {
	      $entry [$node->nodeName] = strip_tags($node->nodeValue);
      }
// add to output array
// TBD: add sort array (title, date, author) option later
 			$json['items'][] = $entry;

			if( ++$i >= $max ) break;
    }

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}
}
?>